AHCISATA(4)

NAME
ahcisata - AHCI 1.0 and 1.1 compliant SATA controllers driver

SYNOPSIS
ahcisata* at pci? dev ? function ? flags 0x0000

DESCRIPTION
The ahcisata driver supports SATA controllers compliant with the Serial ATA Advanced Host Controller Interface Revision 1.0 or 1.1 specification, and provides the interface to the hardware for the ata(4) driver.

The ahcisata driver will only attach if the controller has been put in AHCI mode by the BIOS; if the controller is in pciide-compatible mode, it will be handled by the appropriate driver ((piixide) 4 for Intel AHCI controllers).

SEE ALSO
ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4) Intel Corporation, Serial ATA Advanced Host Controller Interface (AHCI), Revision 1.3, June 26, 2008, http://download.intel.com/technology/serialata/pdf/rev1_3.pdf.

HISTORY
NCQ support was added in NetBSD on October 7, 2017 by Jaromir Dolecek <jdolecek@NetBSD.org>.